package com.jz.dmp.modules.controller.dataOperation.bean;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: DataDevExamplesListDto
 * @Description: 数据运维-数据开发实例列表返回参数
 * @Author：Bellamy
 * @Date 2021/01/14
 * @Version 1.0
 */
@ApiModel(value = "数据运维-数据开发实例列表返回参数", description = "数据开发实例列表返回参数")
public class DataDevExamplesListDto {

    /*
     * 任务ID
     * */
    @ApiModelProperty(value = "任务ID")
    private String taskId;

    /*
     * 执行实例ID
     * */
    @ApiModelProperty(value = "执行实例ID")
    private String execId;

    /*
     * 基本信息（任务名称）
     * */
    @ApiModelProperty(value = "基本信息（任务名称）")
    private String taskName;

    /*
     * 任务类型
     * */
    @ApiModelProperty(value = "任务类型")
    private String taskType;

    /*
     * 优先级
     * */
    @ApiModelProperty(value = "优先级")
    private String priorityLevel;

    /*
     * 定时时间
     * */
    @ApiModelProperty(value = "定时时间")
    private String timer;

    /*
     * 业务日期
     * */
    @ApiModelProperty(value = "业务日期")
    private String businessTime;

    /*
     * 责任人
     * */
    @ApiModelProperty(value = "责任人")
    private String submitUser;

    /*
     * 运行时长
     * */
    @ApiModelProperty(value = "运行时长")
    private String runTime;

    /*
     * 开始时间
     * */
    @ApiModelProperty(value = "开始时间")
    private String startTime;

    /*
     * 结束时间
     * */
    @ApiModelProperty(value = "结束时间")
    private String endTime;

    private String flowData;

    /*
     * 状态
     * */
    @ApiModelProperty(value = "状态")
    private String status;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskType() {
        return taskType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }

    public String getPriorityLevel() {
        return priorityLevel;
    }

    public void setPriorityLevel(String priorityLevel) {
        this.priorityLevel = priorityLevel;
    }

    public String getTimer() {
        return timer;
    }

    public void setTimer(String timer) {
        this.timer = timer;
    }

    public String getBusinessTime() {
        return businessTime;
    }

    public void setBusinessTime(String businessTime) {
        this.businessTime = businessTime;
    }

    public String getRunTime() {
        return runTime;
    }

    public void setRunTime(String runTime) {
        this.runTime = runTime;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getSubmitUser() {
        return submitUser;
    }

    public void setSubmitUser(String submitUser) {
        this.submitUser = submitUser;
    }

    public String getExecId() {
        return execId;
    }

    public void setExecId(String execId) {
        this.execId = execId;
    }

    public String getFlowData() {
        return flowData;
    }

    public void setFlowData(String flowData) {
        this.flowData = flowData;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
