package com.jz.dmp.modules.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 实时同步任务处理数(DmpRealtimeSyncHandleCount)实体类
 *
 * @author Bellamy
 * @since 2021-01-08 14:56:02
 */
@ApiModel(value = "实时同步任务处理数", description = "实时同步任务处理数")
public class DmpRealtimeSyncHandleCount implements Serializable {
    private static final long serialVersionUID = -29396966088167386L;

    @ApiModelProperty(value = "handleCountId")
    private Integer handleCountId;

    @ApiModelProperty(value = "uuid")
    private String uuid;
    /**
     * 待提交数
     */
    @ApiModelProperty(value = "待提交数")
    private Integer toSubmit;
    /**
     * 提交中的数
     */
    @ApiModelProperty(value = "提交中的数")
    private Integer submiting;
    /**
     * 提交成功的数
     */
    @ApiModelProperty(value = "提交成功的数")
    private Integer submitSuccess;
    /**
     * 提交失败的数
     */
    @ApiModelProperty(value = "提交失败的数")
    private Integer submitFail;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date creTime;


    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Integer getToSubmit() {
        return toSubmit;
    }

    public void setToSubmit(Integer toSubmit) {
        this.toSubmit = toSubmit;
    }

    public Integer getSubmiting() {
        return submiting;
    }

    public void setSubmiting(Integer submiting) {
        this.submiting = submiting;
    }

    public Integer getSubmitSuccess() {
        return submitSuccess;
    }

    public void setSubmitSuccess(Integer submitSuccess) {
        this.submitSuccess = submitSuccess;
    }

    public Integer getSubmitFail() {
        return submitFail;
    }

    public void setSubmitFail(Integer submitFail) {
        this.submitFail = submitFail;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public Integer getHandleCountId() {
        return handleCountId;
    }

    public void setHandleCountId(Integer handleCountId) {
        this.handleCountId = handleCountId;
    }
}